Subject: Re: bug#79065: 31.0.50; [PATCH] Allow inverting the meaning of 'quit-window-kill-buffer'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Jul 2025 15:02:32 +0300

> Date: Mon, 21 Jul 2025 10:28:18 +0200
> From:  martin rudalics via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
>  > For a long time, I've had a bit of code in my config to invert the
>  > default behavior of 'quit-window', so that it normally kills the
>  > buffer, but buries it with the prefix arg. With bug#76248, I now have
>  > almost what I want in Emacs proper (thanks!), except without the
>  > prefix arg behavior.
>  >
>  > Attached is a patch to do this. Hopefully the documentation is ok, but
>  > I'm open to other wordings. I fear my current wording might be a bit
>  > convoluted...
> 
> IIUC the current behavior has the prefix argument simply ignore
> 'quit-window-kill-buffer'.  With your patch it inverts whatever that
> option prescribed till now.  Right?  If so, this would constitute an
> incompatible change and we probably should convey the behavior you want
> via a new value for 'quit-window-kill-buffer' itself.  In either case,
> the doc-string of 'quit-window-kill-buffer' would have to be amended
> accordingly and the new behavior be called out in NEWS.

The user option quit-window-kill-buffer is new in Emacs 31, so I don't
think we need to mark any changes in it as incompatible.  Or did I
miss something?